> For the complete documentation index, see [llms.txt](https://docs.platform.softwareone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.platform.softwareone.com/developer-resources/rest-api.md).

# REST API

The Marketplace Platform REST API allows you to interact with the platform programmatically.&#x20;

The APIs are organized around REST principles, use predictable resource-oriented URLs, [JSON-encoded](http://www.json.org/) representations, and standard HTTP methods and status codes.

Each API works similarly, whether you access it directly over HTTP or through helper libraries in various programming languages.

### Common use cases

Use Marketplace APIs to:

* Manage accounts, users, and groups.
* Automate order processing and fulfillment workflows.
* Manage orders, subscriptions, and assets.
* Retrieve billing and financial data.
* Synchronize Marketplace data with external business systems.
* Integrate and manage notification workflows.

### Getting started

Follow [API Quickstart](/developer-resources/rest-api/api-quickstart.md) to generate an API token, authenticate requests, and make your first API call.

### Authentication

Marketplace Platform uses [API tokens](/modules-and-features/settings/api-tokens.md) for authentication.

Include your API token in the `Authorization` HTTP header with the `Bearer` scheme.&#x20;

Your API keys have permissions assigned to them, so keep them secure. Don't share your secret API keys in public areas, like GitHub or client-side code.

### HTTPS requirements

All API requests must be made over HTTPS.&#x20;

Requests sent over HTTP are not supported. API requests without authentication will fail.

### Content-type requirements

Most Marketplace API endpoints expect requests to use the `application/json` content type. Endpoints that support file uploads may require `multipart/form-data` instead.

```http
GET https://api.platform.softwareone.com/public/v1/accounts/buyers
Authorization: Bearer {TOKEN_VALUE}
Content-Type: application/json
```

To communicate successfully with the APIs, ensure your API requests are formatted using the `application/json` content type.&#x20;

Using the wrong content type may result in unexpected behavior or errors.

### Browse APIs

<table data-search="false"><thead><tr><th width="225">API</th><th>Description</th><th data-hidden data-type="content-ref"></th></tr></thead><tbody><tr><td><a href="/pages/BHJrRe9Dod0fElQaPr9h">Accounts API</a></td><td>Manage accounts, users, groups, &#x26; more. </td><td><a href="/pages/BHJrRe9Dod0fElQaPr9h">/pages/BHJrRe9Dod0fElQaPr9h</a></td></tr><tr><td><a href="/pages/Un386lzDuwvyo60RLevw">Audit API</a></td><td>Track and retrieve audit activity.</td><td><a href="/pages/Un386lzDuwvyo60RLevw">/pages/Un386lzDuwvyo60RLevw</a></td></tr><tr><td><a href="/pages/Dkh5Ju5JeEpyNNv1ddLU">Billing API</a></td><td>Work with invoices, statements, charges, &#x26; more.</td><td><a href="/pages/Dkh5Ju5JeEpyNNv1ddLU">/pages/Dkh5Ju5JeEpyNNv1ddLU</a></td></tr><tr><td><a href="/pages/RAwuobJtI2Ju3ntICLJz">Catalog API</a></td><td>Manage catalog, products, items, &#x26; more.</td><td><a href="/pages/RAwuobJtI2Ju3ntICLJz">/pages/RAwuobJtI2Ju3ntICLJz</a></td></tr><tr><td><a href="/pages/BUBpzASEE0if9rLbGNT6">Commerce API</a></td><td>Manage orders, subscriptions, assets, &#x26; more.</td><td><a href="/pages/BUBpzASEE0if9rLbGNT6">/pages/BUBpzASEE0if9rLbGNT6</a></td></tr><tr><td><a href="/pages/sXgkzCaXnsEBnLnDZy3E">Currency API</a></td><td>Work with currencies, pairs, and exchange rates.</td><td><a href="/pages/sXgkzCaXnsEBnLnDZy3E">/pages/sXgkzCaXnsEBnLnDZy3E</a></td></tr><tr><td><a href="/pages/HGSbTYAGlqE7eerqxDhE">Extensions API</a></td><td>Manage extensions, installations, media, &#x26; more.</td><td><a href="/pages/HGSbTYAGlqE7eerqxDhE">/pages/HGSbTYAGlqE7eerqxDhE</a></td></tr><tr><td><a href="/pages/B9jNWSs1n73QOBf0cz6A">Helpdesk API</a></td><td>Manage cases, chats, feedback, &#x26; more.</td><td><a href="/pages/B9jNWSs1n73QOBf0cz6A">/pages/B9jNWSs1n73QOBf0cz6A</a></td></tr><tr><td><a href="/pages/1KaPW7LXMXiSt75NXGOr">Notifications API</a></td><td>Manage notifications, subscribers, &#x26; more.</td><td><a href="/pages/1KaPW7LXMXiSt75NXGOr">/pages/1KaPW7LXMXiSt75NXGOr</a></td></tr><tr><td><a href="/pages/G5ltpKoLDWkhOfpO6Y3S">Product Catalog API</a></td><td>Browse software products, manage profile, categories, &#x26; more.</td><td><a href="/pages/G5ltpKoLDWkhOfpO6Y3S">/pages/G5ltpKoLDWkhOfpO6Y3S</a></td></tr><tr><td><a href="/pages/yBgpnl2M2V0VIoq61jlD">Program API</a></td><td>Manage programs, enrollments, and certificates.</td><td><a href="/pages/yBgpnl2M2V0VIoq61jlD">/pages/yBgpnl2M2V0VIoq61jlD</a></td></tr><tr><td><a href="/pages/oBfDPxUh4jgddB6t1iRO">Spotlight API</a></td><td>Work with spotlight objects and queries.</td><td><a href="/pages/oBfDPxUh4jgddB6t1iRO">/pages/oBfDPxUh4jgddB6t1iRO</a></td></tr><tr><td><a href="/pages/du9a0V6jDkF8tUNPlzfX">Task API</a></td><td>Create tasks and retrieve task logs and results.</td><td><a href="/pages/du9a0V6jDkF8tUNPlzfX">/pages/du9a0V6jDkF8tUNPlzfX</a></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
